"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getProject = void 0;
const schematics_1 = require("@angular-devkit/schematics");
const workspace_1 = require("./workspace");
function getProject(host, projectName) {
    var _a;
    return __awaiter(this, void 0, void 0, function* () {
        const workspace = yield workspace_1.getWorkspace(host);
        if (workspace.projects.has(projectName)) {
            return workspace.projects.get(projectName);
        }
        else if (((_a = workspace.extensions) === null || _a === void 0 ? void 0 : _a.defaultProject) &&
            workspace.projects.has(workspace.extensions.defaultProject)) {
            return workspace.projects.get(workspace.extensions.defaultProject);
        }
        throw new schematics_1.SchematicsException('Could not find project "' + projectName + '"');
    });
}
exports.getProject = getProject;
